/* JJT: 0.2.2 */

package w3c.pics.parser;


class PICSScheme_Node extends SimpleNode implements URLEvalNode {
  PICSScheme_Node(int id) {
    super(id);
  }

  String text = null;
  
  public String getText() {
    return text;
  }

  public boolean isValid(String URL) {
    if (text.equals("*"))
      return true;
    else {
      int colon = URL.indexOf(":");
      if (colon==-1)
	return false;
      String URLscheme = URL.substring(0, colon);
      if (URLscheme.equals(text))
	return true;
      else
	return false;
    }
  }

}
